#ifndef DIALOGIMPL_H
#define DIALOGIMPL_H
//
#include <QDialog>
#include "ui_dialog.h"
//
class DialogImpl : public QDialog, public Ui::Dialog
{
Q_OBJECT

    QString getDefaultPort( const QString &protocol, const QString &auth );

public:
	DialogImpl( QWidget * parent = 0, Qt::WFlags f = 0 );
private slots:

    void movePrevious();
    void moveNext();
    void receiveAuthenticationChanged(int index);
    void receiveHostChanged(const QString &text);
    void receiveAccountTypeChanged(int);
    void sameSettingsChanged( bool enabled );
    void receiveEncryptionChanged(int index);
    void receiveLoginChanged(const QString &text);
    void receivePasswordChanged(const QString &text);

};
#endif




